GNU bug report logs - #31702
26.1; Effective font height is different from set value

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Carlos Piat <carlosjosepita@HIDDEN>; Keywords: notabug; dated Mon, 4 Jun 2018 03:15:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) notabug. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31702 <at> debbugs.gnu.org:


Received: (at 31702) by debbugs.gnu.org; 4 Jun 2018 23:03:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 04 19:03:04 2018
Received: from localhost ([127.0.0.1]:33711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fPyVD-0003AV-TP
	for submit <at> debbugs.gnu.org; Mon, 04 Jun 2018 19:03:04 -0400
Received: from mail-io0-f194.google.com ([209.85.223.194]:43548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fPyVA-00039p-3k
 for 31702 <at> debbugs.gnu.org; Mon, 04 Jun 2018 19:03:00 -0400
Received: by mail-io0-f194.google.com with SMTP id t6-v6so974529iob.10
 for <31702 <at> debbugs.gnu.org>; Mon, 04 Jun 2018 16:03:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=gh4dHQsxdnxJtwqbk3ULkvcT+oXGruH1rUmtTWxtOuA=;
 b=AeFhvA3QASbwZg1GKDUxk2ZEmmywWUVMu2bPGeCjFQ2vYmRfkl3wP/nUVCEcSrD1/f
 eTP3BRPI7+EgPK+dhqy8n0mliiN/VrrRaBxMTafp7ma5g3hwFtinSZIbquPLryxWBPK4
 QCEBEGx/irenpXrC9scKO5gSNIDHqP4HgjS/GAHLnvQV8chlvBiiGhA5bGTFFe9laEAm
 RSrai/g8L33F4nVBzkCE7K93e3g9ALpuGvT2HtqBx0r7prkekubv16y8wqAd7/IN+ioJ
 Kb9+uRkzzU/XcvcO2DAO7SZLKvTdEhePIpSkGNOUtur2IzEjkqXS8PsDtEBwcPwY+mkx
 lrfw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=gh4dHQsxdnxJtwqbk3ULkvcT+oXGruH1rUmtTWxtOuA=;
 b=ZQ1DKw0dT7wyCFNChF96FM8kwbqfnxCG9r2MniTEvk4Tw71DEoLy8HwdNjdX69IqI8
 u4Ivx41x1XDIEhxV0Bm7MVDG5n/1AE/eaZm+/GgdGsGibfpfzacfrQXNo0hlddQ4ivfD
 r3+rIe4z0WajRTryKISRwrwKB7PlNj+Y9H8yctdJWpk21FVs2fijOW8d0dz+F1Wm/j3F
 VQjD0tUPeA5Tf7I4Qm1XipYwatQTZjYJkZ86Kbo/tw+eLvaXVcdoTUHpKK0h1ufN9bgI
 aBZHUm0D84A/eIdhFqqiAyrcgxnjlp8iHzfJvi0yfFj5YpY2+dmSyTF97Noa6vzrbzfp
 PFUA==
X-Gm-Message-State: APt69E08r8ZZ8fCUoQWS2dKxSkUlo3cgIuxQeWLeYsLnHkr4efIz0gp+
 C3jW7uYVtR7RLre7WcJ8kV97g13pzB1DuuDcoRE37g==
X-Google-Smtp-Source: ADUXVKIFTDfNPb7yx50Zuml7+XJda7WbmiUFXnERGx6Ts39n5QBcCRlhODZokazYGUD90ALPOO9FJmy8BgRKCPpWlGo=
X-Received: by 2002:a6b:bfc1:: with SMTP id
 p184-v6mr23860503iof.80.1528153374551; 
 Mon, 04 Jun 2018 16:02:54 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a02:a98e:0:0:0:0:0 with HTTP;
 Mon, 4 Jun 2018 16:02:33 -0700 (PDT)
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Mon, 4 Jun 2018 20:02:33 -0300
Message-ID: <CAELgYhcfLobGc=L2m--7ghPsTJhX3gc0wn3ASPxoiOaPYn1ZCw@HIDDEN>
Subject: 
To: 31702 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I noticed another weird behavior (but it's not emacs fault
 as explained below). Hack:size=11 looks very different of "Hack 11" or
 Hack-11.
 In fact "Hack 11" is more like Hack:size=15. The fontconfig documentation
 states that the size property is a double which specifies the size in points, 
 but then it's ambiguous when stating how the size is encoded in a descriptor.
 The general descriptor format is: [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (carlosjosepita[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.223.194 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.223.194 listed in list.dnswl.org]
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 31702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

I noticed another weird behavior (but it's not emacs fault as explained below).

Hack:size=11 looks very different of "Hack 11" or Hack-11. In fact
"Hack 11" is more like Hack:size=15.

The fontconfig documentation states that the size property is a double
which specifies the size in points, but then it's ambiguous when
stating how the size is encoded in a descriptor. The general
descriptor format is:

<families>-<point sizes>:<name1>=<values1>:<name2>=<values2>...

where <nameX> can be "size". So there seems to be two equivalent ways
of specifying a size in points: Hack-11 and Hack:size=11.

But by trial and error I found out that when part of the name-value
list, the size property is synonymous with the pixelsize property.

So the right way to specify a point size is, in my example, Hack-11.

Now, I was concerned about missing some font sizes, since emacs is
rounding sizes in a different way than gtk or whatever is the desktop
using. But my concern was unfounded. To be sure, emacs' Hack-10 is
desktop's Hack-10 and emacs' Hack-11 is desktop's Hack-12, so there is
a gap there. Of course, this is no big deal when setting the font from
inside emacs, since I'm able to set the size with tenth-of-point
precision: instead of 110 I just set 109 to get desktop's Hack-11. But
TIL that from resources file I'm able to set double valued sizes, so
Hack-10.9 also does the trick.

:)

From my very limited experiments, it seems to be that emacs is
rounding sizes to the nearest available one while the desktop is
always rounding them down. Perhaps is a bit impolite from the part of
emacs to behave like that in a desktop environment but its behavior is
both internally consistent and more accurate. I feel inclined to close
this issue (and maybe to add an entry to the wiki explaining this font
sizing border case).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31702; Package emacs. Full text available.

Message received at 31702 <at> debbugs.gnu.org:


Received: (at 31702) by debbugs.gnu.org; 4 Jun 2018 19:11:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 04 15:11:35 2018
Received: from localhost ([127.0.0.1]:33641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fPutD-0006DN-16
	for submit <at> debbugs.gnu.org; Mon, 04 Jun 2018 15:11:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50729)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1fPutB-0006DB-Fd
 for 31702 <at> debbugs.gnu.org; Mon, 04 Jun 2018 15:11:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1fPut3-0005kk-6f
 for 31702 <at> debbugs.gnu.org; Mon, 04 Jun 2018 15:11:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55369)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1fPut3-0005kT-3Q; Mon, 04 Jun 2018 15:11:25 -0400
Received: from [176.228.60.248] (port=2849 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1fPut2-0003F5-Jr; Mon, 04 Jun 2018 15:11:24 -0400
Date: Mon, 04 Jun 2018 22:11:33 +0300
Message-Id: <83o9gqbc4a.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Carlos Pita <carlosjosepita@HIDDEN>
In-reply-to: <CAELgYhcXX6Rpai=5wYrSNFZy5VMCcw1-zyCbYpu1RUs16CJERA@HIDDEN>
 (message from Carlos Pita on Mon, 4 Jun 2018 15:25:28 -0300)
Subject: Re: bug#31702:
References: <CAELgYhdLS-xGXk4nmdfgqPbNyQ1ak=iH=zO+kJLmne=NyGCJBQ@HIDDEN>
 <CAELgYhcXX6Rpai=5wYrSNFZy5VMCcw1-zyCbYpu1RUs16CJERA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31702
Cc: 31702 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Carlos Pita <carlosjosepita@HIDDEN>
> Date: Mon, 4 Jun 2018 15:25:28 -0300
> 
> All in all I'm not sure how to feel about this issue. Despite the
> external inconsistency emacs is internally coherent and, according to
> what I described in my second comment, I would say it's selecting a
> more accurate effective height than the desktop. But, anyway, the
> inconsistency is annoying and it's not even possible to get the same
> font from the resources file since the size/height granularity is less
> than the one offered by emacs face specification.

Then maybe you can convince the developers of the desktop to follow
Emacs's example ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31702; Package emacs. Full text available.

Message received at 31702 <at> debbugs.gnu.org:


Received: (at 31702) by debbugs.gnu.org; 4 Jun 2018 18:25:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 04 14:25:56 2018
Received: from localhost ([127.0.0.1]:33624 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fPuB2-0005CA-KN
	for submit <at> debbugs.gnu.org; Mon, 04 Jun 2018 14:25:56 -0400
Received: from mail-io0-f182.google.com ([209.85.223.182]:46698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fPuB0-0005Bx-Dd
 for 31702 <at> debbugs.gnu.org; Mon, 04 Jun 2018 14:25:54 -0400
Received: by mail-io0-f182.google.com with SMTP id d22-v6so81708iof.13
 for <31702 <at> debbugs.gnu.org>; Mon, 04 Jun 2018 11:25:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to;
 bh=JEQ/A8WZKMzKH8pBuhcsPkeUyEV8/G4CZ8kmshxi6xc=;
 b=jorN6qIy1ZN4UQRIzoiOMBsdNbzsUuxPTm1EFIm85LuhCdo0I2IG2sLsfKn+KkguXB
 cpkN7lQ+V/V8QLi+skFu8f/Dnubwf0ti0huNS7aQv7kjCsq9tB+aO/mHS+HsuituRxOJ
 WJ5ikXy3BKxEIbLVoXbGw/rWP1T2Awg4QVZbZoBKhih04lIYgVc/H6x8S5AQwYKGzVS0
 FNLFxTsFU+tOuLADVkNAkCdXVJUiIgcrGMEgHarXHctsLY96Oy/laFOvvDxID7DZnSvO
 zQBhSWiF2Rrqu4WoVs/rohqRxgIXY9/h2+1s+1PVejUTUPCQ5QE0+MACqhK9Wif5Q9vG
 kQXQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to;
 bh=JEQ/A8WZKMzKH8pBuhcsPkeUyEV8/G4CZ8kmshxi6xc=;
 b=Csr9/7+fd54f6ZdZtOd7rg1f1t5rDjpWK3QtcWUM/CIowZ9PBmNA7dhbR57VL17BDh
 5EUnkNLlutIDlG7hz4ovhtSuXdJZCoK331TM75V74IJ5QXZlsWTjWX1xigjTqIA5u4HP
 zcpgFYrWVjdLrIDlL8vN0tX7wgaDBfqQ5N7QOcz2XBDYuOGAEhTkEUsfi32uUCWA8+NT
 +2j1TGKxUm94deEdVq4iR8Jpv+UxLYySNFtGZOmiPu1wkAIstGv38gMMxR1JZ1KNjClt
 +974PJMZgUPFojAbwVcqZg/QgBttqkFQDwM+KwAB3nIraIuKszzrsVFwGmt8e/JOVDma
 i0Fw==
X-Gm-Message-State: APt69E2ipXt2nV5kCFMJddlP7Der56LA66mYS43Rll8uSCGoBIAOEPEw
 /+SHDhWrlXHf9CvDAz+ynJSpNJfmy5Cv/19TYbQ=
X-Google-Smtp-Source: ADUXVKIXYK8cAq6cWDZT+uNd98wCZ/xOaSqfrYO2vdzd8cpGnKRBTilfE+ADv/KeBjH6ipFeTEqNo9ORPzYX7mD3JTA=
X-Received: by 2002:a6b:bfc1:: with SMTP id
 p184-v6mr22981895iof.80.1528136748542; 
 Mon, 04 Jun 2018 11:25:48 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a02:a98e:0:0:0:0:0 with HTTP;
 Mon, 4 Jun 2018 11:25:28 -0700 (PDT)
In-Reply-To: <CAELgYhdLS-xGXk4nmdfgqPbNyQ1ak=iH=zO+kJLmne=NyGCJBQ@HIDDEN>
References: <CAELgYhdLS-xGXk4nmdfgqPbNyQ1ak=iH=zO+kJLmne=NyGCJBQ@HIDDEN>
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Mon, 4 Jun 2018 15:25:28 -0300
Message-ID: <CAELgYhcXX6Rpai=5wYrSNFZy5VMCcw1-zyCbYpu1RUs16CJERA@HIDDEN>
Subject: Re:
To: 31702 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sorry, forget about this last comment, my mistake, just got confused
with the font descriptor, emacs is indeed consistent in its
inconsistency with the desktop :)

All in all I'm not sure how to feel about this issue. Despite the
external inconsistency emacs is internally coherent and, according to
what I described in my second comment, I would say it's selecting a
more accurate effective height than the desktop. But, anyway, the
inconsistency is annoying and it's not even possible to get the same
font from the resources file since the size/height granularity is less
than the one offered by emacs face specification.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31702; Package emacs. Full text available.

Message received at 31702 <at> debbugs.gnu.org:


Received: (at 31702) by debbugs.gnu.org; 4 Jun 2018 17:27:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 04 13:27:41 2018
Received: from localhost ([127.0.0.1]:33600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fPtGf-0003ph-3C
	for submit <at> debbugs.gnu.org; Mon, 04 Jun 2018 13:27:41 -0400
Received: from mail-io0-f182.google.com ([209.85.223.182]:42168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fPtGd-0003pP-Dk
 for 31702 <at> debbugs.gnu.org; Mon, 04 Jun 2018 13:27:39 -0400
Received: by mail-io0-f182.google.com with SMTP id r24-v6so4384656ioh.9
 for <31702 <at> debbugs.gnu.org>; Mon, 04 Jun 2018 10:27:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=iG8CFZcoJul71lSKIor4tT/8/x9BG1NpY9OooTGNkbg=;
 b=NBqRSFL2p3Q8qOBANoU4CeE+EtIvyJQTfGOF7afC8zu/37J49mgOeZDmTj2rRUMm0V
 5FYr0R/E5WHBinjDcRhP95nftuBS72KY+jGKFZsEg5Md15dKZvqvBnZ5O0k53KeNl8/B
 UY56w6LyqxV6al8JRggdMGRk7y2hTH34q8Swuw2evIEhrtVGiE/Dm4+RKnrK96VC6ofI
 YBd77FmwY2LtzUPqcA9KxBKH5jkEoCGOwXNF1nhE4Of9+Yl/NUZRf6O+FjpQDEpPBB3B
 gCPvFuzTpa/njWpI+NtN6Izt1q0FTjqxKJSxbl6lWO05i5b4Jk6jNXL0myGRF+xYgKXp
 3CeQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=iG8CFZcoJul71lSKIor4tT/8/x9BG1NpY9OooTGNkbg=;
 b=OeJvv4PHvOm2TXeAeUoT8mhI+XWiEPowHVaTztUfa78eAbZ47isGNZIFOcySHDF/Sb
 rSkvt405qP4Wb4vzbRtiL7cwEjEe70JP0Hn//wD8J+NbF5XLtDSCDBeltNvG4nhR8sX/
 6SZ1/Q62SZiMRWrAlhtndflD/KaHmIJgFWBH897fCj9f9vEh/oeBIA3avfeOmXlpl9Vx
 FJ8akNEI6XCyRS/HOFNy7hZPOX/57wxfALSYcyst9Zkea+6xwS0C2YkHX08WDje4UsQe
 Ry1/dK+WUOyRP0TtdkAdlsfuRPShfb8JxQOwsjZAr917wYOr+1izdVb7zj3Y4ADovRXG
 bHHg==
X-Gm-Message-State: APt69E2NXR2WBgiVPXhw7N1p8/oPb68mZi7DV656jNTe/WqLulD71Him
 8JYTVfX7ppWQWTxFZj5pqg3zX2QYYQALQNM8RLw=
X-Google-Smtp-Source: ADUXVKKFEJrS2N2L5sgghATNXtRYE+nBC5rA21qTNgZ/B4kftMHBP2yXKFGQlj1wvjk4qM61HcKz32MvjpGDeTh/5j4=
X-Received: by 2002:a6b:bfc1:: with SMTP id
 p184-v6mr22774353iof.80.1528133248629; 
 Mon, 04 Jun 2018 10:27:28 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a02:a98e:0:0:0:0:0 with HTTP;
 Mon, 4 Jun 2018 10:27:07 -0700 (PDT)
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Mon, 4 Jun 2018 14:27:07 -0300
Message-ID: <CAELgYhdLS-xGXk4nmdfgqPbNyQ1ak=iH=zO+kJLmne=NyGCJBQ@HIDDEN>
Subject: 
To: 31702 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  A further inconsistency is that setting "Hack 11" from the
 resources file makes the face height 105, in a manner that matches the system
 behavior but not emacs own behavior when setting "Hack 11" from the font
 dialog or the init file (which makes the height 113, as described above).
 [...] Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (carlosjosepita[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.223.182 listed in list.dnswl.org]
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 31702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

A further inconsistency is that setting "Hack 11" from the resources
file makes the face height 105, in a manner that matches the system
behavior but not emacs own behavior when setting "Hack 11" from the
font dialog or the init file (which makes the height 113, as described
above).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31702; Package emacs. Full text available.

Message received at 31702 <at> debbugs.gnu.org:


Received: (at 31702) by debbugs.gnu.org; 4 Jun 2018 03:48:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 03 23:48:45 2018
Received: from localhost ([127.0.0.1]:60748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fPgU8-0000R2-Ug
	for submit <at> debbugs.gnu.org; Sun, 03 Jun 2018 23:48:45 -0400
Received: from mail-io0-f169.google.com ([209.85.223.169]:47014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fPgU7-0000Qc-1N
 for 31702 <at> debbugs.gnu.org; Sun, 03 Jun 2018 23:48:43 -0400
Received: by mail-io0-f169.google.com with SMTP id d22-v6so21815580iof.13
 for <31702 <at> debbugs.gnu.org>; Sun, 03 Jun 2018 20:48:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=Pv2zJwzaZOb6CF3gVELlXqDu6Je3GIb6rnkL44Fmx34=;
 b=joeGG8oSV2dGDFyjRXU9cOEwDcpUuCbvEjxtT638OA1oTz0xuiXoZHw3LAZYY8baIm
 wcIZDZ5BX/kL5puZ+d5fnr3ypMuV89Sm7w/aielhfrguNUIED3yErblHRl6GllTHq1L2
 ENobAfRhF3vk2FFTuSFBh+8zJ1EKNpE9gHtfEGTC81sXIoiOytjIOMSg8ExjN/+Snlrk
 AEPbWF5ICW4zosp8+DMG0fsSb3CDkTFhMzx6L4Qa4HJXStX0GjbT/i4OQSpJAkxE2UGC
 fgASkcErSDgdyNcG/KXOwLmx2y6N+ZXH038cSW2w2cmrcnvhCIV/o7SpOnZx9yKyx1sq
 No1A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Pv2zJwzaZOb6CF3gVELlXqDu6Je3GIb6rnkL44Fmx34=;
 b=b8GNJo5BXTJ+aF6xK20c+TzHEbEhbqar/qajT80cLconX5CrUEMZPfEC+VBXfHKRcF
 Y00aHXG/xzuUgwIcTsY5XCgUSwCEaVc8e1r714Hb7X+KFC0Hd/jaOjdotiuhb3pC7+Xn
 1otlw/vrA7/3YN+nNI0UfIUAPWfw6cdjnbIDdLQ4ED6kIVwlkRXPoxyDqQChq+lTlcLa
 LndEbSZ2wjJ+wzeIwtckXPBMMJd89vkRtz6QiWZICW4FzM1IK2RUUZhyj90Y/vOW24on
 tVA337ivzjEilNpLIrqy/IxTg+KTOsPTCdKn7ckQ4aV3mbWKGe09793hoL4AfBD7fyZB
 ZXfQ==
X-Gm-Message-State: ALKqPweS5KZNyS7X/XrDi+NJkXgrhwm1ekFeU7a/dac1j69KCNj/i6fk
 NtEuxmNLi5oRAbQ6tKdjl79lNcD1FtpkooBhwCo=
X-Google-Smtp-Source: ADUXVKKCiU9Zu7GSEtLgjP6I+A0nzEtaRZRkquSFx8SShzyD93yrUCXioz2nFklmYgxV+O1vbWmzod8sy+2dGiD4R1Y=
X-Received: by 2002:a6b:882a:: with SMTP id
 k42-v6mr19623101iod.137.1528084116893; 
 Sun, 03 Jun 2018 20:48:36 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a02:a98e:0:0:0:0:0 with HTTP;
 Sun, 3 Jun 2018 20:48:16 -0700 (PDT)
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Mon, 4 Jun 2018 00:48:16 -0300
Message-ID: <CAELgYhd5rDu0MM_R5FjV+oUAsXkVF-A9h4JADaQ_LGHWLLu4UQ@HIDDEN>
Subject: 
To: 31702 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Ok, I think I now understand the problem a bit better: 1.
 Changing the height from 102 to 109 sets the effective height to 105. This
 size is the same of that of the font which both the font select dialog and
 gnome-terminal show for "Hack 11" (I have counted pixel by pixel in
 comparative xmag shots). [...] 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (carlosjosepita[at]gmail.com)
 -0.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.223.169 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.223.169 listed in list.dnswl.org]
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 31702
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

Ok, I think I now understand the problem a bit better:

1. Changing the height from 102 to 109 sets the effective height to
105. This size is the same of that of the font which both the font
select dialog and gnome-terminal show for "Hack 11" (I have counted
pixel by pixel in comparative xmag shots).

2. From 110 to 116 the effective size is 113 as stated above. This is
the size corresponding to "Hack 12" in the font selector and in
gnome-terminal.

3. 117 rounds up to 120, etc.

So I guess it's just a different way of rounding up to the next
available size (I don't know which is the precision of the underlying
font renderer but I assume it's not a tenth of a point... from the
numbers above it seems to be about 6 or 7 tenths of a point).

But:

* The fact that setting the font from the font dialog offered in the
menu bar of emacs itself doesn't set a font with the height that was
previewed in the dialog is a bit disturbing.

* Besides, since the height attribute documentation explicitly states
that the it is measured in tenths of a point, the rendering of a font
with height P * 10 in emacs should exactly match the rendering of the
same font with size P in the system. There is no "rounding up" excuse
for the mismatch between 110 and 11, for example.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#31702; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jun 2018 03:14:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 03 23:14:32 2018
Received: from localhost ([127.0.0.1]:60738 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fPfx1-00083K-Sg
	for submit <at> debbugs.gnu.org; Sun, 03 Jun 2018 23:14:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fPfwz-000832-UN
 for submit <at> debbugs.gnu.org; Sun, 03 Jun 2018 23:14:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fPfwt-0004ys-Df
 for submit <at> debbugs.gnu.org; Sun, 03 Jun 2018 23:14:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42664)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <carlosjosepita@HIDDEN>)
 id 1fPfwt-0004yl-9i
 for submit <at> debbugs.gnu.org; Sun, 03 Jun 2018 23:14:23 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33959)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fPfwr-0000z5-Rb
 for bug-gnu-emacs@HIDDEN; Sun, 03 Jun 2018 23:14:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fPfwo-0004xr-J5
 for bug-gnu-emacs@HIDDEN; Sun, 03 Jun 2018 23:14:21 -0400
Received: from mail-qt0-x22c.google.com ([2607:f8b0:400d:c0d::22c]:40311)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <carlosjosepita@HIDDEN>)
 id 1fPfwo-0004xb-DS
 for bug-gnu-emacs@HIDDEN; Sun, 03 Jun 2018 23:14:18 -0400
Received: by mail-qt0-x22c.google.com with SMTP id q6-v6so5169231qtn.7
 for <bug-gnu-emacs@HIDDEN>; Sun, 03 Jun 2018 20:14:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=mPwaoenRHGvgXY0+6hkUDnz7BtGIt7OEl+TK1fwjA7c=;
 b=dcO3bK2K/GVcZ3zHDiEsrJ9mMjMjpEzM8An/stcpTvfwsQDdI7zTF8iv+oCmOPj4a6
 GHpkyuazkZLkcW4v0EWYNNQNbYHHBtkU6l0c7r3qYdE/kGgJ6P3SDeHzP4SX6NnVfeIy
 Reg5PGYX6jKZ+BS7BVlyISgO6ZyKrD8iCOYIUdmp1XQ1bFQM3e4mciG7O0JwsJ1MIf5z
 pdwa6HhJIW4BfshzAGC8g8Wt5prSy1UeY/R0wN3LM9CS0JMFR3vyF4FqA8Jebsq1cN0/
 O4L3nm/nMEWmVi9NBzDyX1zsBdJBXa9W3PexhXRm04Aa4/ahrAHdTsQXMeRXMZyQTK0I
 rZgQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=mPwaoenRHGvgXY0+6hkUDnz7BtGIt7OEl+TK1fwjA7c=;
 b=bpdMfIMARpe/ep/HZBzUcjgk1Hx8MBYk0quAIW25WyLqBIFoPPEwjCglJmeGe0Zv13
 5XCabLvEG2UxY84QLv2f2KGcteYulvGALcmtSHM60X3VoGR6VQc5nncBHKngez3yeVoY
 z6HQiw8StND+V4YoqkIkxgXOOvtEUXjWT0uKZ64rMMmomUxyRCK+Vf12t5PtX36vZ0Fx
 iBCxVVDfhSStTsLrBRmyNRaSV1ApnoY/pbxNh2oGaNYMV82ugx6ImKSiMXPPZ4bjyleY
 k2JnEnfdJW3Mbfkhn4ErlPO5TmQUOUKBbjn6DpZ3Pw78aMl7TPEl9J/roCw2GngqZl9/
 2Exw==
X-Gm-Message-State: APt69E07TqTdX5bKygYWyokUUJaKSKN8CVHqXDxSZ1ogfj4Z7MvMVTRT
 p1wPFZ3vYPwkpMnIsyIHKKUYOg==
X-Google-Smtp-Source: ADUXVKL9BneB4KEVKKOYSURp6IU937o6gPlFWuxhjf85yIfDnHpqLJL6tna0OeHPVOwYrP4r1y4Quw==
X-Received: by 2002:ac8:254d:: with SMTP id 13-v6mr2775678qtn.0.1528082057396; 
 Sun, 03 Jun 2018 20:14:17 -0700 (PDT)
Received: from carlos ([190.244.190.18])
 by smtp.gmail.com with ESMTPSA id j1-v6sm5327166qte.13.2018.06.03.20.14.16
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 03 Jun 2018 20:14:16 -0700 (PDT)
From: Carlos Piat <carlosjosepita@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; Effective font height is different from set value
Date: Mon, 04 Jun 2018 00:13:12 -0300
Message-ID: <87tvqjp7lj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

I'm setting the Hack Mono font for the default face with size 110:

  (set-face-attribute 'default nil :font "Hack" :height 110)

but I noticed that the result is slightly different from what
gnome-terminal renders for "Hack 11". Namely, in emacs the font looks
bigger. So I checked the attribute value in the customize-face
screen for the default face, which showed a height of 113.

Playing a bit with different heights I realized that the number I set is
never exactly the setting that ends up being effective, as if a rounding
error or something was happening somewhere.

Even if I set the font as "Hack 10" or set it from the standard dialog
that is available in the menu bar the result is the same.

Some relevant libraries in my system are:

  local/freetype2 2.9.1-1
    Font rasterization library
    
  local/libxft 2.3.2-1
    FreeType-based font drawing library for X

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2018-05-29 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description:	Manjaro Linux

Recent messages:
nil
Creating customization items...
Creating customization items ...done
Resetting customization items...done
Creating customization setup...done
nil
Entering debugger...
previous-line: Beginning of buffer
nil
Auto-saving...

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-modules
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
 -fno-plt' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 MODULES THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  show-paren-mode: t
  diff-auto-refine-mode: t
  pyvenv-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec epa derived epg gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils cl-print debug crm vc-git base16-default-dark-theme
base16-theme paren cl-extra yasnippet elec-pair highlight-indentation
flymake-proc flymake warnings company edmacro kmacro pcase help-fns
radix-tree help-mode elpy find-file-in-project ivy delsel ivy-overlay
ffap thingatpt windmove diff-mode easy-mmode elpy-shell pyvenv esh-var
esh-io esh-cmd esh-opt esh-ext esh-proc esh-arg esh-groups eshell
esh-module esh-mode esh-util elpy-profile elpy-django s elpy-refactor
subr-x python tramp-sh tramp tramp-compat tramp-loaddefs trampver
ucs-normalize shell pcomplete parse-time format-spec advice json map ido
grep compile comint ansi-color files-x etags xref project ring cus-edit
cus-start cus-load wid-edit finder-inf info package easymenu epg-config
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 364347 15038)
 (symbols 48 32967 1)
 (miscs 40 772 758)
 (strings 32 72107 1797)
 (string-bytes 1 2082553)
 (vectors 16 52862)
 (vector-slots 8 929416 10894)
 (floats 8 121 290)
 (intervals 56 576 99)
 (buffers 992 15))




Acknowledgement sent to Carlos Piat <carlosjosepita@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#31702; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 21 Jun 2018 11:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.